PAPIf_hl_read(3)

NAME
PAPIf_hl_read - Reads and stores hardware events inside of an instrumented code region.

SYNOPSIS

Detailed Description

Fortran Prototype:
    #include <fpapi.h>
    int PAPIf_hl_read( C_STRING region, C_INT check )

Parameters
    region -- a unique region name corresponding to PAPIf_hl_region_begin

Return values
    PAPI_OK
    PAPI_ENOTRUN -- EventSet is currently not running or could not determined.
    PAPI_ESYS -- A system or C library call failed inside PAPI, see the errno variable.
    PAPI_EMISC -- PAPI has been deactivated due to previous erros.
    PAPI_ENOMEM -- Insufficient memory.

PAPIf_hl_read reads hardware events and stores them internally inside of an instrumented code region. Assumes that PAPIf_hl_region_begin was called before.

Example:

integer retval

call PAPIf_hl_region_begin("computation", retval)
if ( retval .NE. PAPI_OK ) then
    write (*,*) "PAPIf_hl_region_begin failed!"
end if

!do some computation here

call PAPIf_hl_read("computation", retval)
if ( retval .NE. PAPI_OK ) then
    write (*,*) "PAPIf_hl_read failed!"
end if

!do some computation here

call PAPIf_hl_region_end("computation", retval)
if ( retval .NE. PAPI_OK ) then
    write (*,*) "PAPIf_hl_region_end failed!"
end if

See also
    PAPI_hl_read

Author

Generated automatically by Doxygen for PAPI from the source code.